com.smartgwt.client.widgets.form.validator

## Class LengthRangeValidator

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.form.validator.Validator
      - - com.smartgwt.client.widgets.form.validator.LengthRangeValidator

-     public class LengthRangeValidator
      extends Validator

  This validator type applies to string values only. If the value is a string value validation will fail if the strings length falls outside the range specified by validator.max and validator.min. Note that non-string values will always pass validation by this validator type.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LengthRangeValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getMax()` Return the max.
    `java.lang.Integer` | `getMin()` Return the min.
    `void` | `setMax(java.lang.Integer max)` Set the max.
    `void` | `setMin(java.lang.Integer min)` Set the min.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.validator.Validator

      `addValidatorDefinition, create, getClientOnly, getDependentFields, getOrCreateRef, getStopIfFalse, getStopOnError, getType, getTypeAsString, getValidateOnChange, setClientOnly, setDependentFields, setErrorMessage, setJavaScriptObject, setStopIfFalse, setStopOnError, setType, setType, setValidateOnChange`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LengthRangeValidator

          public LengthRangeValidator()

  - ### Method Detail

    - #### setMin

          public void setMin(java.lang.Integer min)

      Set the min.
      Parameters:
        `min` - the min

    - #### getMin

          public java.lang.Integer getMin()

      Return the min.
      Returns:
        the min

    - #### setMax

          public void setMax(java.lang.Integer max)

      Set the max.
      Parameters:
        `max` - the max

    - #### getMax

          public java.lang.Integer getMax()

      Return the max.
      Returns:
        the max